Package org.eclipse.remote.core

## Class RemoteProcessAdapter

- java.lang.Object
- - java.lang.Process
  - - org.eclipse.remote.core.RemoteProcessAdapter

    public class RemoteProcessAdapter
    extends java.lang.Process

Utility class to adapt an IRemoteProcess to a java.lang.Process

### Constructor Summary

Constructors
`RemoteProcessAdapter​(IRemoteProcess process)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`int` `exitValue()`
`java.io.InputStream` `getErrorStream()`
`java.io.InputStream` `getInputStream()`
`java.io.OutputStream` `getOutputStream()`
`int` `waitFor()`

### Methods inherited from class java.lang.Process

`children, descendants, destroyForcibly, info, isAlive, onExit, pid, supportsNormalTermination, toHandle, waitFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteProcessAdapter

    public RemoteProcessAdapter​(IRemoteProcess process)

### Method Detail

#### destroy

    public void destroy()

Specified by:
  `destroy` in class `java.lang.Process`

#### exitValue

    public int exitValue()

Specified by:
  `exitValue` in class `java.lang.Process`

#### getErrorStream

    public java.io.InputStream getErrorStream()

Specified by:
  `getErrorStream` in class `java.lang.Process`

#### getInputStream

    public java.io.InputStream getInputStream()

Specified by:
  `getInputStream` in class `java.lang.Process`

#### getOutputStream

    public java.io.OutputStream getOutputStream()

Specified by:
  `getOutputStream` in class `java.lang.Process`

#### waitFor

    public int waitFor()
                throws java.lang.InterruptedException

Specified by:
  `waitFor` in class `java.lang.Process`
Throws:
  `java.lang.InterruptedException`